Subject: bug#65188: closed (Re: bug#65188: 29.1; WEBP image not displayed)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 Aug 2023 13:59:02 +0000

Your bug report

#65188: 29.1; WEBP image not displayed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65188: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65188
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65188: 29.1; WEBP image not displayed
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 10 Aug 2023 16:58:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Thu, 10 Aug 2023 22:39:37 +0900
> 
> Corwin Brust <[email-masked]> writes:
> > CEZB: Ug, please ignore my last.  Terrible mess of multiple drafts in there.
> >
> > awrhygty,
> >
> > New (I hope, corrected) binaries are uploaded as emacs-29.1_2.
> >
> >   https://ftp.gnu.org/gnu/emacs/windows/emacs-29/?C=M;O=D
> >
> > Please try emacs-29.1_2.zip or (emacs-29.1_2-installer.exe) and
> > confirm this version renders WEBP images for you.
> 
> I tried the new installer:
>   https://ftp.gnu.org/gnu/emacs/windows/emacs-29/emacs-29.1_2-installer.exe
> Now I can view WEBP images visually.

Great, thanks for testing.  I'm therefore closing this bug.

Subject: 29.1; WEBP image not displayed
From: [email-masked]
To: [email-masked]
Date: Thu, 10 Aug 2023 09:20:52 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed emacs 29 from:
  https://ftp.gnu.org/gnu/emacs/windows/emacs-29/emacs-29.1_1-installer.exe
When find-file with WEBP images, they are not displayed visually,
and emacs reports:
  Cannot display image: (Invalid image specification)
There exists c:/Emacs/emacs-29.1/bin/libwebp-7.dll in the same directory
 of emacs.exe.

image-types
=> (bmp svg webp png gif tiff jpeg xpm xbm pbm)
(image-type-available-p 'webp)
=> nil
dynamic-library-alist
=> ((gdiplus "gdiplus.dll")
    (shlwapi "shlwapi.dll")
    (xpm "libxpm.dll" "xpm4.dll" "libXpm-nox4.dll")
    (png "libpng16.dll" "libpng16-16.dll")
    (tiff "libtiff-5.dll" "libtiff3.dll" "libtiff.dll")
    (jpeg "libjpeg-8.dll")
    (gif "libgif-7.dll")
    (svg "librsvg-2-2.dll")
    (webp "libwebp-7.dll" "libwebp.dll")
    (webpdemux "libwebpdemux-2.dll" "libwebpdemux.dll")
    (sqlite3 "libsqlite3-0.dll")
    (gdk-pixbuf "libgdk_pixbuf-2.0-0.dll")
    (glib "libglib-2.0-0.dll")
    (gio "libgio-2.0-0.dll")
    (gobject "libgobject-2.0-0.dll")
    (gnutls "libgnutls-30.dll")
    (libxml2 "libxml2-2.dll" "libxml2.dll")
    (zlib "zlib1.dll" "libz-1.dll")
    (lcms2 "liblcms2-2.dll")
    (json "libjansson-4.dll")
    (gccjit "libgccjit-0.dll")
    (tree-sitter "libtree-sitter.dll" "libtree-sitter-0.dll"))

In GNU Emacs 29.1 (build 2, x86_64-w64-mingw32) of 2023-08-02 built on
 AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.3324)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation=aot
 --without-compress-install --with-tree-sitter CFLAGS=-O2'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

(NATIVE_COMP present but libgccjit not available)

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(gnutls network-stream nsm mailalias smtpmail textsec uni-scripts url
url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util url-parse auth-source cl-seq
eieio eieio-core cl-macs json map byte-opt gv bytecomp byte-compile
url-vars idna-mapping ucs-normalize uni-confusable textsec-check
misearch multi-isearch help-mode pp shadow sort mail-extr emacsbug
message mailcap yank-media puny rfc822 mml mml-sec password-cache epa
derived epg rfc6068 epg-config gnus-util text-property-search time-date
subr-x mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils image-mode dired dired-loaddefs exif find-func
thingatpt cl-loaddefs cl-lib term/bobcat japan-util rmc iso-transl
tooltip cconv eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel dos-w32 ls-lisp disp-table
term/w32-win w32-win w32-vars term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads w32notify w32 lcms2 multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 219080 14406)
 (symbols 48 7582 2)
 (strings 32 37522 1848)
 (string-bytes 1 1037683)
 (vectors 16 39585)
 (vector-slots 8 796659 39426)
 (floats 8 62 200)
 (intervals 56 832 8)
 (buffers 984 14))